local theme_assets = require("beautiful.theme_assets")
local xresources = require("beautiful.xresources")
local dpi = xresources.apply_dpi

local theme = {}

theme.name = "unity"

theme.font          = "Ubuntu Regular 10"
theme.bg_normal     = "#19191D"
theme.bg_focus      = "#3E3E3E"
theme.bg_urgent     = "#2E2E2E" 
theme.bg_minimize   = "#2E2E2E" 
theme.bg_systray    = theme.bg_normal

theme.fg_normal     = "#e1dec7"
theme.fg_focus      = "#e1dec7"
theme.fg_urgent     = "#e1dec7"
theme.fg_minimize   = "#e1dec7"

theme.useless_gap   = dpi(10)
theme.border_width  = dpi(1)
theme.border_normal = theme.bg_focus
theme.border_focus  = theme.bg_focus
theme.border_marked = theme.bg_marked

theme.tasklist_button_shape_border_width = dpi(1)
theme.tasklist_button_shape_border_color = {
    type = "radial",
    from = {bsize/2,bsize/(-3),bsize/8},
    to = {bsize/2,bsize/(-5),bsize*1},
    stops = { 
        { 0 , "#FFFFFF66"},
        { 1, "#43434366"},
    }    
}

theme.tasklist_bg_focus = {
    type = "radial",
    from = {bsize/2,-0.5*bsize,bsize/10},
    to = {bsize/2,-0.5*bsize,bsize*2},
    stops = { 
        { 0 , "#FFFFFFBB"},
        { 0.45, "#DF744E99"},
        { 0.55, "#DF744E99"},
        { 1, "#FFFFFF44"}
    }    
}

theme.tasklist_bg_normal = {
    type = "radial",
    from = {bsize/2,-0.5*bsize,bsize/10},
    to = {bsize/2,-0.2*bsize,bsize*1.5},
    stops = { 
        { 0 , "#FFFFFFFF"},
        { 0.5, "#33333333"},
        { 1, "#FFFFFF22"}
    }    
}

theme.tasklist_bg_minimize = "#23232366"
theme.tasklist_bg_minimize = "#23232366"
-- There are other variable sets

theme.launcher_button_bg_focus = {
    type = "radial",
    from = {bsize/2,-0.5*bsize,bsize/10},
    to = {bsize/2,-0.5*bsize,bsize*2},
    stops = { 
        { 0 , "#FFFFFFBB"},
        { 0.45, "#66666699"},
        { 0.55, "#66666699"},
        { 1, "#FFFFFF44"}
    }    
}

theme.launcher_button_bg_normal = {
    type = "radial",
    from = {bsize/2,-0.5*bsize,bsize/10},
    to = {bsize/2,-0.2*bsize,bsize*1.5},
    stops = { 
        { 0 , "#FFFFFFFF"},
        { 0.5, "#33333333"},
        { 1, "#FFFFFF22"}
    }    
}

theme.hotkeys_border_color = "#262626"
theme.hotkeys_opacity = 1

theme.titlebar_bg_focus = {
    type = "linear",
    from = { 0, 20 },
    to = { 0, 0 },
    stops = { { 0, "#3C3B37"} , { 1 , "#59574E"} }
}

theme.titlebar_bg_normal = {
    type = "linear",
    from = { 0, 20 },
    to = { 0, 0 },
    stops = { { 0, "#3C3B37"} , { 1 , "#41403D"} }
}

theme.topbar_bg = {
    type = "linear",
    from = { 0, 20 },
    to = { 0, 0 },
    stops = { { 0, "#3C3B37"} , { 1 , "#545249"} }
}

-- Generate taglist squares:
local taglist_square_size = dpi(4)
theme.taglist_squares_sel = theme_assets.taglist_squares_sel(
    taglist_square_size, theme.fg_normal
)
theme.taglist_squares_unsel = theme_assets.taglist_squares_unsel(
    taglist_square_size, theme.fg_normal
)

theme.notification_width = dpi(250)
theme.notification_height = dpi(80)

theme.titlebar_close_button_normal = global.themes_dir..theme.name.."/titlebar/close_normal.png"
theme.titlebar_close_button_focus  = global.themes_dir..theme.name.."/titlebar/close_focus.png"

theme.titlebar_minimize_button_normal = global.themes_dir..theme.name.."/titlebar/minimize_normal.png"
theme.titlebar_minimize_button_focus  = global.themes_dir..theme.name.."/titlebar/minimize_focus.png"

theme.titlebar_ontop_button_normal_inactive = global.themes_dir..theme.name.."/titlebar/ontop_normal_inactive.png"
theme.titlebar_ontop_button_focus_inactive  = global.themes_dir..theme.name.."/titlebar/ontop_focus_inactive.png"
theme.titlebar_ontop_button_normal_active = global.themes_dir..theme.name.."/titlebar/ontop_normal_active.png"
theme.titlebar_ontop_button_focus_active  = global.themes_dir..theme.name.."/titlebar/ontop_focus_active.png"

theme.titlebar_sticky_button_normal_inactive = global.themes_dir..theme.name.."/titlebar/sticky_normal_inactive.png"
theme.titlebar_sticky_button_focus_inactive  = global.themes_dir..theme.name.."/titlebar/sticky_focus_inactive.png"
theme.titlebar_sticky_button_normal_active = global.themes_dir..theme.name.."/titlebar/sticky_normal_active.png"
theme.titlebar_sticky_button_focus_active  = global.themes_dir..theme.name.."/titlebar/sticky_focus_active.png"

theme.titlebar_floating_button_normal_inactive = global.themes_dir..theme.name.."/titlebar/floating_normal_inactive.png"
theme.titlebar_floating_button_focus_inactive  = global.themes_dir..theme.name.."/titlebar/floating_focus_inactive.png"
theme.titlebar_floating_button_normal_active = global.themes_dir..theme.name.."/titlebar/floating_normal_active.png"
theme.titlebar_floating_button_focus_active  = global.themes_dir..theme.name.."/titlebar/floating_focus_active.png"

theme.titlebar_maximized_button_normal_inactive = global.themes_dir..theme.name.."/titlebar/maximized_normal_inactive.png"
theme.titlebar_maximized_button_focus_inactive  = global.themes_dir..theme.name.."/titlebar/maximized_focus_inactive.png"
theme.titlebar_maximized_button_normal_active = global.themes_dir..theme.name.."/titlebar/maximized_normal_active.png"
theme.titlebar_maximized_button_focus_active  = global.themes_dir..theme.name.."/titlebar/maximized_focus_active.png"

theme.wallpaper = global.themes_dir..theme.name.."/background.png"

-- You can use your own layout icons like this:
theme.layout_fairh = global.themes_dir..theme.name.."/layouts/fairhw.png"
theme.layout_fairv = global.themes_dir..theme.name.."/layouts/fairvw.png"
theme.layout_floating  = global.themes_dir..theme.name.."/layouts/floatingw.png"
theme.layout_magnifier = global.themes_dir..theme.name.."/layouts/magnifierw.png"
theme.layout_max = global.themes_dir..theme.name.."/layouts/maxw.png"
theme.layout_fullscreen = global.themes_dir..theme.name.."/layouts/fullscreenw.png"
theme.layout_tilebottom = global.themes_dir..theme.name.."/layouts/tilebottomw.png"
theme.layout_tileleft   = global.themes_dir..theme.name.."/layouts/tileleftw.png"
theme.layout_tile = global.themes_dir..theme.name.."/layouts/tilew.png"
theme.layout_tiletop = global.themes_dir..theme.name.."/layouts/tiletopw.png"
theme.layout_spiral  = global.themes_dir..theme.name.."/layouts/spiralw.png"
theme.layout_dwindle = global.themes_dir..theme.name.."/layouts/dwindlew.png"
theme.layout_cornernw = global.themes_dir..theme.name.."/layouts/cornernww.png"
theme.layout_cornerne = global.themes_dir..theme.name.."/layouts/cornernew.png"
theme.layout_cornersw = global.themes_dir..theme.name.."/layouts/cornersww.png"
theme.layout_cornerse = global.themes_dir..theme.name.."/layouts/cornersew.png"
theme_assets.recolor_layout(theme, theme.fg_normal)

-- Define the icon theme for application icons. If not set then the icons
-- from /usr/share/icons and /usr/share/icons/hicolor will be used.
theme.icon_theme = "Adwaita"

return theme

-- vim: filetype=lua:expandtab:shiftwidth=4:tabstop=8:softtabstop=4:textwidth=80
