--   This file is part of Reno desktop.
--
--  Reno desktop is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
--
--  Reno desktop is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License along with Reno desktop. If not, see <https://www.gnu.org/licenses/>. 
-- Simple global context menu controls
local awmtk2 = require("awmtk2")
local wibox = require("wibox")
local gears = require("gears")
local awful = require("awful")
local beautiful = require("beautiful")
local menugen = require("context_menu")

return function(args)
    local style = awmtk2.create_style("root_menu",
        awmtk2.generic.menu,args.style)
    local templates = awmtk2.create_template_lib("root_menu",awmtk2.templates,args.templates)
    local t = awmtk2.build_templates(templates,style)
    local widget = menugen({
        items = {
            {"Awesome", {
                {"open config dir", "xdg-open "..root_path},
                {"open docs", "xdg-open https://awesomewm.org/doc/api/"},
                {"restart", function() awesome.restart() end},
                {"quit", function() awesome.quit() end}
            }, beautiful.awesome_icon},
            {"open terminal", global.terminal},
        },
    })
    return widget
end
